> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend transaction verification code

> Resends the otp code to confirm the transaction

<Warning>You can resend the code only when the transaction is in pending verification status. . For additional details on how transaction statuses works, click this [link](/about/transaction-status)</Warning>

<RequestExample>
  ```bash Request theme={null}
  curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/verification/{verificationId}' \
  --header 'Authorization: <your_awesome_token>' 
  --header 'Content-Type: application/json'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "verificationId": "561f8ed5-8e90-4b32-9637-4f36a0c66286",
      "verificationStatus": "Transaction verified successfull"
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="transactionId" type="string" required>
  Propaga's transaction id
</ParamField>

<ParamField path="verificationId" type="string" required>
  Verification id generated on the creation of the transaction
</ParamField>

## Error codes

<ResponseField>
  ```json Transaction not found (404) theme={null}
  {
      "code": "TRANSACTION_NOT_FOUND",
      "message": "This transaction not found"
  }
  ```

  ```json Transaction is already verified (422) theme={null}
  {
      "code": "TRANSACTION_IS_VERIFIED",
      "message": "This transaction is verified"
  }
  ```

  ```json Verification not found (404) theme={null}
  {
      "code": "VERIFICATION_NOT_FOUND",
      "message": "This verification not found"
  }
  ```

  ```json Verification not valid (422) theme={null}
  {
      "code": "VERIFICATION_NOT_VALID",
      "message": "This verification is not valid'"
  }
  ```
</ResponseField>
